<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetThumbnail2 Method (IEdmFile15)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile15 Interface : GetThumbnail2 Method (IEdmFile15)

Visual Basic
C#
C++/CLI

lVersion
  Version of the file whose thumbnail to retrieve

Obsolete. Superseded by IEdmFile18::GetThumbnail3 .

# Syntax

Visual Basic |
--- | ---

    Function GetThumbnail2( _
       ByVal lVersion As System.Integer _
    ) As System.Object

C# |
--- | ---

    System.object GetThumbnail2(
       System.int lVersion
    )

C++/CLI |
--- | ---

    System.Object^ GetThumbnail2(
    &   System.int lVersion
    )

#### Parameters

lVersion
  Version of the file whose thumbnail to retrieve

#### Return Value

IPicture

# Example

Get a File's Thumbnail by File Version (C#)

# Remarks

If a thumbnail of this file is not available, this method returns Nothing or null.

# See Also

####

IEdmFile15 Interface
IEdmFile15 Members
IEdmEnumeratorVariable5::GetThumbnail Method ()

# Availability

SOLIDWORKS PDM Professional 2018 SP04